List trashed QR codes
curl --request GET \
--url https://management.scanova.io/qrcode/trash/ \
--header 'Authorization: <api-key>'import requests
url = "https://management.scanova.io/qrcode/trash/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://management.scanova.io/qrcode/trash/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": 88190,
"qrid": "QR2P8V4LM",
"name": "Old menu — spring",
"qr_type": "dy",
"qr_type_display": "Dynamic",
"short_url": "https://qr.link/d4e5f6",
"thumbnail": "https://cdn.scanova.io/thumbnails/QR2P8V4LM.png",
"is_active": false,
"published_at": "2026-03-01T10:00:00Z",
"category_slug": "url",
"is_currently_draft": false,
"deleted": "2026-08-01T16:22:09Z",
"category": { "id": 1, "name": "Website URL", "slug": "url" },
"tags_list": ["menu"],
"dynamic_url_object": { "has_qr": true }
}
]
}
管理 API — 二维码
列出回收站中的二维码
GET /qrcode/trash/
GET
/
qrcode
/
trash
/
List trashed QR codes
列出通过
DELETE /qrcode/{qrid}/ 被软删除(移动到回收站)的二维码。位于 Management API 主机(management.scanova.io)上,使用您的原始 Management API 密钥进行身份验证。
GET https://management.scanova.io/qrcode/trash/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
也可以通过
/qr/trash/ 访问——同一个视图,行为相同。查询参数
此端点支持与GET /qr/ 相同的 search、category、tags、type 和 ordering 参数,外加删除日期筛选:
string
ISO 日期。返回在此日期当天或之后被删除的二维码。
string
ISO 日期。返回在此日期当天或之前被删除的二维码。
{
"count": 3,
"next": null,
"previous": null,
"results": [
{
"id": 88190,
"qrid": "QR2P8V4LM",
"name": "Old menu — spring",
"qr_type": "dy",
"qr_type_display": "Dynamic",
"short_url": "https://qr.link/d4e5f6",
"thumbnail": "https://cdn.scanova.io/thumbnails/QR2P8V4LM.png",
"is_active": false,
"published_at": "2026-03-01T10:00:00Z",
"category_slug": "url",
"is_currently_draft": false,
"deleted": "2026-08-01T16:22:09Z",
"category": { "id": 1, "name": "Website URL", "slug": "url" },
"tags_list": ["menu"],
"dynamic_url_object": { "has_qr": true }
}
]
}
这是比主列表端点更精简的数据结构——值得注意的是,
deleted(软删除时间戳)是回收站专有的字段,并且这里的 dynamic_url_object 被精简为仅 {"has_qr": ...},而不是 GET /qr/ 返回的更完整的对象。分页遵循与主列表端点相同的使用页码而非 URL 约定。恢复或永久删除回收站中的二维码
本参考文档仅涵盖列出回收站中二维码的功能。仪表盘的恢复和永久删除操作由单独的批量端点支持(分别对trash/restore/ 和 trash/delete/ 路径发起 POST),目前尚未在本 API 参考文档中记录——如果您今天就需要以编程方式恢复/永久删除二维码,请联系 support@scanova.io。
相关内容
- 获取、更新、删除二维码 —— 将二维码移入此回收站列表的
DELETE调用。 - 列出 / 创建二维码 —— 针对活跃(未被删除)二维码的等价列表端点。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. management.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
200
Trashed QR codes
此页面对您有帮助吗?
⌘I